### Method

# AppStream ValidatorIssue set_cid

#### Declaration [src]

    void
    as_validator_issue_set_cid (
      AsValidatorIssue* issue,
      const gchar* cid
    )

#### Description [src]

Sets the component-id this issue is about.

#### Parameters

`cid`

  Type: `const gchar*`

  A component-id.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.